# ChartData (Javadocs: controlP5)
Date: 2014-04-27

controlP5

## Class ChartData

- java.lang.Object
- - controlP5.ChartData

    public class ChartData
    extends java.lang.Object

Used by Chart, single chart data is stored here including value, (label) text, and color.

### Constructor Summary

Constructors
Constructor and Description
`ChartData(float theValue)`
`ChartData(float theValue, java.lang.String theText)`

### Method Summary

Methods
`int` `getColor()`
`java.lang.String` `getText()`
`float` `getValue()`
`void` `setColor(int theColor)`
`void` `setText(java.lang.String theText)`
`void` `setValue(float theValue)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChartData

    public ChartData(float theValue)

#### ChartData

    public ChartData(float theValue,
             java.lang.String theText)

### Method Detail

#### getColor

    public int getColor()

#### getText

    public java.lang.String getText()

#### getValue

    public float getValue()

#### setColor

    public void setColor(int theColor)

#### setText

    public void setText(java.lang.String theText)

#### setValue

    public void setValue(float theValue)